'#############################################################################
'#
'#
'#  %Z%%M%    %I%  %W%  %G%  %U% 
'# ===========================================================================
'# IBM Confidential
'# OCO Source Materials
'# Licensed Materials - Property of IBM
'# (C) Copyright IBM Corp. 2009 All Rights Reserved.
'# The source code for this program is not published or otherwise divested of
'# its trade secrets, irrespective of what has been deposited with the U.S.
'# Copyright Office.
'# ===========================================================================
'# 
'#############################################################################


'get command line args
set args = WScript.Arguments
num = args.Count

if num <> 1 then
   WScript.Echo "Usage: rmservice.vbs <servicename>"
   WScript.Quit 1
end if

Dim servicename
Dim lengthservicename
Dim systemroot
servicename = args.Item(0)
lenghtservicename = Len(servicename)

'create FileSystemObject
Set objFSO = CreateObject("Scripting.FileSystemObject")

'get systemroot env variable
Set WshShell = WScript.CreateObject("WScript.Shell")
systemroot = WshShell.ExpandEnvironmentStrings("%systemroot%")

'check if .bak file exists and delete it if necessary
if objFSO.FileExists(systemroot & "\system32\drivers\etc\services.bak") then
    Set oldFile = objFSO.GetFile(systemroot & "\system32\drivers\etc\services.bak")
	oldFile.Delete
end if

'rename etc/services to etc/services.bak
objFSO.MoveFile (systemroot & "\system32\drivers\etc\services") , (systemroot & "\system32\drivers\etc\services.bak")

'open etc/services.bak for reading
Set objOldfile = objFSO.OpenTextFile(systemroot & "\system32\drivers\etc\services.bak", 1)


'create new etc/services file
Set objFile = objFSO.CreateTextFile(systemroot & "\system32\drivers\etc\services")

'copy everything over, line by line
Do While objOldfile.AtEndOfStream = False
    strLine = objOldfile.ReadLine
	if Left(strLine, lenghtservicename) <> servicename then
		objFile.WriteLine(strLine)
	else
		'WScript.echo(strLine)
	end if
Loop


'close the files
objFile.Close
objOldfile.Close
