@ dbconf.bat
@ Sample script to create TKLM WAS database configuration objects
@ (TKLM_HOME env var, JDBC driver path, J2C authentication aliases,
@ JDBC Provider & DataSource)

set WAS_HOME=C:\Program Files\IBM\tivoli\tip

@rem Args for dbconf.py script:
@rem   arg1 - node-name (eg: TIPNode)
@rem   arg2 - server-name (eg: server1)
@rem   arg3 - tklm home-path (eg: \"C:/Program Files/IBM/tklm\") (currently not used, but  might be useful in future)
@rem   arg4 - jdbc-path (eg: C:/PROGRA~1/IBM/SQLLIB/java/)
@rem   arg5 - tklm_db_user (eg: tklmdb)
@rem   arg6 - tklm-pwd (eg: secret)
@rem   arg7 - db2 url (eg: jdbc:db2://<machine name>:<port>/<database name>)
@rem
@rem Commented out values suitable for the RAD bundled WAS, with no security
@rem set WASADMIN_CREDENTIALS=
set WASADMIN_CREDENTIALS=-user iscadmin -password iscpass
@rem set PROFILE=AppSrv01
set PROFILE=TIPProfile
@rem set NODE=localhostNode01
set NODE=TIPNode
set SERVER=server1
set TIP_HOME=C:/Program Files/IBM/tivoli/tip
set TKLM_HOME="%TIP_HOME%/products/tklm"
set JDBC_PATH=c:/PROGRA~1/IBM/SQLLIB/java/
set DB_USER=db2admin
set DB_PASSWD=db2admin
set DB_URL=jdbc:db2://127.0.0.1:50000/tklmdb

set WSADMINCMD="%WAS_HOME%\bin\wsadmin"

%WSADMINCMD% %WASADMIN_CREDENTIALS% -lang jython -profileName %PROFILE% -f dbconf.py %NODE% %SERVER% %TKLM_HOME% %JDBC_PATH% %DB_USER% %DB_PASSWD% %DB_URL%
